| 5 | | # Copyright (C) 2003 Free Software Foundation, Inc. |
| | 5 | # Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001, |
| | 6 | # 2002, 2003, 2004, 2005, 2006 Free Software Foundation, Inc. |
| 24 | | # Support unset when possible. |
| 25 | | if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then |
| 26 | | as_unset=unset |
| 27 | | else |
| 28 | | as_unset=false |
| 29 | | fi |
| 30 | | |
| 31 | | |
| 32 | | # Work around bugs in pre-3.0 UWIN ksh. |
| 33 | | $as_unset ENV MAIL MAILPATH |
| 34 | | PS1='$ ' |
| 35 | | PS2='> ' |
| 36 | | PS4='+ ' |
| 37 | | |
| 38 | | # NLS nuisances. |
| 39 | | for as_var in \ |
| 40 | | LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \ |
| 41 | | LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \ |
| 42 | | LC_TELEPHONE LC_TIME |
| 43 | | do |
| 44 | | if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then |
| 45 | | eval $as_var=C; export $as_var |
| 46 | | else |
| 47 | | $as_unset $as_var |
| 48 | | fi |
| 49 | | done |
| 50 | | |
| 51 | | # Required to use basename. |
| 52 | | if expr a : '\(a\)' >/dev/null 2>&1; then |
| 53 | | as_expr=expr |
| 54 | | else |
| 55 | | as_expr=false |
| 56 | | fi |
| 57 | | |
| 58 | | if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then |
| 59 | | as_basename=basename |
| 60 | | else |
| 61 | | as_basename=false |
| 62 | | fi |
| 63 | | |
| 64 | | |
| 65 | | # Name of the executable. |
| 66 | | as_me=`$as_basename "$0" || |
| 67 | | $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \ |
| 68 | | X"$0" : 'X\(//\)$' \| \ |
| 69 | | X"$0" : 'X\(/\)$' \| \ |
| 70 | | . : '\(.\)' 2>/dev/null || |
| 71 | | echo X/"$0" | |
| 72 | | sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; } |
| 73 | | /^X\/\(\/\/\)$/{ s//\1/; q; } |
| 74 | | /^X\/\(\/\).*/{ s//\1/; q; } |
| 75 | | s/.*/./; q'` |
| 76 | | |
| 77 | | |
| 78 | | # PATH needs CR, and LINENO needs CR and PATH. |
| | 27 | |
| | 28 | # PATH needs CR |
| 99 | | |
| 100 | | as_lineno_1=$LINENO |
| 101 | | as_lineno_2=$LINENO |
| 102 | | as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null` |
| 103 | | test "x$as_lineno_1" != "x$as_lineno_2" && |
| 104 | | test "x$as_lineno_3" = "x$as_lineno_2" || { |
| 105 | | # Find who we are. Look in the path if we contain no path at all |
| 106 | | # relative or not. |
| 107 | | case $0 in |
| 108 | | *[\\/]* ) as_myself=$0 ;; |
| 109 | | *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR |
| | 49 | # Support unset when possible. |
| | 50 | if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then |
| | 51 | as_unset=unset |
| | 52 | else |
| | 53 | as_unset=false |
| | 54 | fi |
| | 55 | |
| | 56 | |
| | 57 | # IFS |
| | 58 | # We need space, tab and new line, in precisely that order. Quoting is |
| | 59 | # there to prevent editors from complaining about space-tab. |
| | 60 | # (If _AS_PATH_WALK were called with IFS unset, it would disable word |
| | 61 | # splitting by setting IFS to empty value.) |
| | 62 | as_nl=' |
| | 63 | ' |
| | 64 | IFS=" "" $as_nl" |
| | 65 | |
| | 66 | # Find who we are. Look in the path if we contain no directory separator. |
| | 67 | case $0 in |
| | 68 | *[\\/]* ) as_myself=$0 ;; |
| | 69 | *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR |
| 116 | | |
| 117 | | ;; |
| 118 | | esac |
| 119 | | # We did not find ourselves, most probably we were run as `sh COMMAND' |
| 120 | | # in which case we are not to be found in the path. |
| 121 | | if test "x$as_myself" = x; then |
| 122 | | as_myself=$0 |
| | 76 | IFS=$as_save_IFS |
| | 77 | |
| | 78 | ;; |
| | 79 | esac |
| | 80 | # We did not find ourselves, most probably we were run as `sh COMMAND' |
| | 81 | # in which case we are not to be found in the path. |
| | 82 | if test "x$as_myself" = x; then |
| | 83 | as_myself=$0 |
| | 84 | fi |
| | 85 | if test ! -f "$as_myself"; then |
| | 86 | echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2 |
| | 87 | { (exit 1); exit 1; } |
| | 88 | fi |
| | 89 | |
| | 90 | # Work around bugs in pre-3.0 UWIN ksh. |
| | 91 | for as_var in ENV MAIL MAILPATH |
| | 92 | do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var |
| | 93 | done |
| | 94 | PS1='$ ' |
| | 95 | PS2='> ' |
| | 96 | PS4='+ ' |
| | 97 | |
| | 98 | # NLS nuisances. |
| | 99 | for as_var in \ |
| | 100 | LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \ |
| | 101 | LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \ |
| | 102 | LC_TELEPHONE LC_TIME |
| | 103 | do |
| | 104 | if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then |
| | 105 | eval $as_var=C; export $as_var |
| | 106 | else |
| | 107 | ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var |
| 124 | | if test ! -f "$as_myself"; then |
| 125 | | { echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2 |
| 126 | | { (exit 1); exit 1; }; } |
| 127 | | fi |
| 128 | | case $CONFIG_SHELL in |
| 129 | | '') |
| | 109 | done |
| | 110 | |
| | 111 | # Required to use basename. |
| | 112 | if expr a : '\(a\)' >/dev/null 2>&1 && |
| | 113 | test "X`expr 00001 : '.*\(...\)'`" = X001; then |
| | 114 | as_expr=expr |
| | 115 | else |
| | 116 | as_expr=false |
| | 117 | fi |
| | 118 | |
| | 119 | if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then |
| | 120 | as_basename=basename |
| | 121 | else |
| | 122 | as_basename=false |
| | 123 | fi |
| | 124 | |
| | 125 | |
| | 126 | # Name of the executable. |
| | 127 | as_me=`$as_basename -- "$0" || |
| | 128 | $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \ |
| | 129 | X"$0" : 'X\(//\)$' \| \ |
| | 130 | X"$0" : 'X\(/\)' \| . 2>/dev/null || |
| | 131 | echo X/"$0" | |
| | 132 | sed '/^.*\/\([^/][^/]*\)\/*$/{ |
| | 133 | s//\1/ |
| | 134 | q |
| | 135 | } |
| | 136 | /^X\/\(\/\/\)$/{ |
| | 137 | s//\1/ |
| | 138 | q |
| | 139 | } |
| | 140 | /^X\/\(\/\).*/{ |
| | 141 | s//\1/ |
| | 142 | q |
| | 143 | } |
| | 144 | s/.*/./; q'` |
| | 145 | |
| | 146 | # CDPATH. |
| | 147 | $as_unset CDPATH |
| | 148 | |
| | 149 | |
| | 150 | if test "x$CONFIG_SHELL" = x; then |
| | 151 | if (eval ":") 2>/dev/null; then |
| | 152 | as_have_required=yes |
| | 153 | else |
| | 154 | as_have_required=no |
| | 155 | fi |
| | 156 | |
| | 157 | if test $as_have_required = yes && (eval ": |
| | 158 | (as_func_return () { |
| | 159 | (exit \$1) |
| | 160 | } |
| | 161 | as_func_success () { |
| | 162 | as_func_return 0 |
| | 163 | } |
| | 164 | as_func_failure () { |
| | 165 | as_func_return 1 |
| | 166 | } |
| | 167 | as_func_ret_success () { |
| | 168 | return 0 |
| | 169 | } |
| | 170 | as_func_ret_failure () { |
| | 171 | return 1 |
| | 172 | } |
| | 173 | |
| | 174 | exitcode=0 |
| | 175 | if as_func_success; then |
| | 176 | : |
| | 177 | else |
| | 178 | exitcode=1 |
| | 179 | echo as_func_success failed. |
| | 180 | fi |
| | 181 | |
| | 182 | if as_func_failure; then |
| | 183 | exitcode=1 |
| | 184 | echo as_func_failure succeeded. |
| | 185 | fi |
| | 186 | |
| | 187 | if as_func_ret_success; then |
| | 188 | : |
| | 189 | else |
| | 190 | exitcode=1 |
| | 191 | echo as_func_ret_success failed. |
| | 192 | fi |
| | 193 | |
| | 194 | if as_func_ret_failure; then |
| | 195 | exitcode=1 |
| | 196 | echo as_func_ret_failure succeeded. |
| | 197 | fi |
| | 198 | |
| | 199 | if ( set x; as_func_ret_success y && test x = \"\$1\" ); then |
| | 200 | : |
| | 201 | else |
| | 202 | exitcode=1 |
| | 203 | echo positional parameters were not saved. |
| | 204 | fi |
| | 205 | |
| | 206 | test \$exitcode = 0) || { (exit 1); exit 1; } |
| | 207 | |
| | 208 | ( |
| | 209 | as_lineno_1=\$LINENO |
| | 210 | as_lineno_2=\$LINENO |
| | 211 | test \"x\$as_lineno_1\" != \"x\$as_lineno_2\" && |
| | 212 | test \"x\`expr \$as_lineno_1 + 1\`\" = \"x\$as_lineno_2\") || { (exit 1); exit 1; } |
| | 213 | ") 2> /dev/null; then |
| | 214 | : |
| | 215 | else |
| | 216 | as_candidate_shells= |
| 138 | | if ("$as_dir/$as_base" -c ' |
| | 224 | for as_base in sh bash ksh sh5; do |
| | 225 | as_candidate_shells="$as_candidate_shells $as_dir/$as_base" |
| | 226 | done;; |
| | 227 | esac |
| | 228 | done |
| | 229 | IFS=$as_save_IFS |
| | 230 | |
| | 231 | |
| | 232 | for as_shell in $as_candidate_shells $SHELL; do |
| | 233 | # Try only shells that exist, to save several forks. |
| | 234 | if { test -f "$as_shell" || test -f "$as_shell.exe"; } && |
| | 235 | { ("$as_shell") 2> /dev/null <<\_ASEOF |
| | 236 | # Be Bourne compatible |
| | 237 | if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then |
| | 238 | emulate sh |
| | 239 | NULLCMD=: |
| | 240 | # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which |
| | 241 | # is contrary to our usage. Disable this feature. |
| | 242 | alias -g '${1+"$@"}'='"$@"' |
| | 243 | setopt NO_GLOB_SUBST |
| | 244 | else |
| | 245 | case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac |
| | 246 | fi |
| | 247 | BIN_SH=xpg4; export BIN_SH # for Tru64 |
| | 248 | DUALCASE=1; export DUALCASE # for MKS sh |
| | 249 | |
| | 250 | : |
| | 251 | _ASEOF |
| | 252 | }; then |
| | 253 | CONFIG_SHELL=$as_shell |
| | 254 | as_have_required=yes |
| | 255 | if { "$as_shell" 2> /dev/null <<\_ASEOF |
| | 256 | # Be Bourne compatible |
| | 257 | if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then |
| | 258 | emulate sh |
| | 259 | NULLCMD=: |
| | 260 | # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which |
| | 261 | # is contrary to our usage. Disable this feature. |
| | 262 | alias -g '${1+"$@"}'='"$@"' |
| | 263 | setopt NO_GLOB_SUBST |
| | 264 | else |
| | 265 | case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac |
| | 266 | fi |
| | 267 | BIN_SH=xpg4; export BIN_SH # for Tru64 |
| | 268 | DUALCASE=1; export DUALCASE # for MKS sh |
| | 269 | |
| | 270 | : |
| | 271 | (as_func_return () { |
| | 272 | (exit $1) |
| | 273 | } |
| | 274 | as_func_success () { |
| | 275 | as_func_return 0 |
| | 276 | } |
| | 277 | as_func_failure () { |
| | 278 | as_func_return 1 |
| | 279 | } |
| | 280 | as_func_ret_success () { |
| | 281 | return 0 |
| | 282 | } |
| | 283 | as_func_ret_failure () { |
| | 284 | return 1 |
| | 285 | } |
| | 286 | |
| | 287 | exitcode=0 |
| | 288 | if as_func_success; then |
| | 289 | : |
| | 290 | else |
| | 291 | exitcode=1 |
| | 292 | echo as_func_success failed. |
| | 293 | fi |
| | 294 | |
| | 295 | if as_func_failure; then |
| | 296 | exitcode=1 |
| | 297 | echo as_func_failure succeeded. |
| | 298 | fi |
| | 299 | |
| | 300 | if as_func_ret_success; then |
| | 301 | : |
| | 302 | else |
| | 303 | exitcode=1 |
| | 304 | echo as_func_ret_success failed. |
| | 305 | fi |
| | 306 | |
| | 307 | if as_func_ret_failure; then |
| | 308 | exitcode=1 |
| | 309 | echo as_func_ret_failure succeeded. |
| | 310 | fi |
| | 311 | |
| | 312 | if ( set x; as_func_ret_success y && test x = "$1" ); then |
| | 313 | : |
| | 314 | else |
| | 315 | exitcode=1 |
| | 316 | echo positional parameters were not saved. |
| | 317 | fi |
| | 318 | |
| | 319 | test $exitcode = 0) || { (exit 1); exit 1; } |
| | 320 | |
| | 321 | ( |
| 143 | | test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then |
| 144 | | $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; } |
| 145 | | $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; } |
| 146 | | CONFIG_SHELL=$as_dir/$as_base |
| 147 | | export CONFIG_SHELL |
| 148 | | exec "$CONFIG_SHELL" "$0" ${1+"$@"} |
| 149 | | fi;; |
| 150 | | esac |
| 151 | | done |
| 152 | | done |
| 153 | | ;; |
| 154 | | esac |
| | 325 | test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2") || { (exit 1); exit 1; } |
| | 326 | |
| | 327 | _ASEOF |
| | 328 | }; then |
| | 329 | break |
| | 330 | fi |
| | 331 | |
| | 332 | fi |
| | 333 | |
| | 334 | done |
| | 335 | |
| | 336 | if test "x$CONFIG_SHELL" != x; then |
| | 337 | for as_var in BASH_ENV ENV |
| | 338 | do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var |
| | 339 | done |
| | 340 | export CONFIG_SHELL |
| | 341 | exec "$CONFIG_SHELL" "$as_myself" ${1+"$@"} |
| | 342 | fi |
| | 343 | |
| | 344 | |
| | 345 | if test $as_have_required = no; then |
| | 346 | echo This script requires a shell more modern than all the |
| | 347 | echo shells that I found on your system. Please install a |
| | 348 | echo modern shell, or manually run the script under such a |
| | 349 | echo shell if you do have one. |
| | 350 | { (exit 1); exit 1; } |
| | 351 | fi |
| | 352 | |
| | 353 | |
| | 354 | fi |
| | 355 | |
| | 356 | fi |
| | 357 | |
| | 358 | |
| | 359 | |
| | 360 | (eval "as_func_return () { |
| | 361 | (exit \$1) |
| | 362 | } |
| | 363 | as_func_success () { |
| | 364 | as_func_return 0 |
| | 365 | } |
| | 366 | as_func_failure () { |
| | 367 | as_func_return 1 |
| | 368 | } |
| | 369 | as_func_ret_success () { |
| | 370 | return 0 |
| | 371 | } |
| | 372 | as_func_ret_failure () { |
| | 373 | return 1 |
| | 374 | } |
| | 375 | |
| | 376 | exitcode=0 |
| | 377 | if as_func_success; then |
| | 378 | : |
| | 379 | else |
| | 380 | exitcode=1 |
| | 381 | echo as_func_success failed. |
| | 382 | fi |
| | 383 | |
| | 384 | if as_func_failure; then |
| | 385 | exitcode=1 |
| | 386 | echo as_func_failure succeeded. |
| | 387 | fi |
| | 388 | |
| | 389 | if as_func_ret_success; then |
| | 390 | : |
| | 391 | else |
| | 392 | exitcode=1 |
| | 393 | echo as_func_ret_success failed. |
| | 394 | fi |
| | 395 | |
| | 396 | if as_func_ret_failure; then |
| | 397 | exitcode=1 |
| | 398 | echo as_func_ret_failure succeeded. |
| | 399 | fi |
| | 400 | |
| | 401 | if ( set x; as_func_ret_success y && test x = \"\$1\" ); then |
| | 402 | : |
| | 403 | else |
| | 404 | exitcode=1 |
| | 405 | echo positional parameters were not saved. |
| | 406 | fi |
| | 407 | |
| | 408 | test \$exitcode = 0") || { |
| | 409 | echo No shell found that supports shell functions. |
| | 410 | echo Please tell autoconf@gnu.org about your system, |
| | 411 | echo including any error possibly output before this |
| | 412 | echo message |
| | 413 | } |
| | 414 | |
| | 415 | |
| | 416 | |
| | 417 | as_lineno_1=$LINENO |
| | 418 | as_lineno_2=$LINENO |
| | 419 | test "x$as_lineno_1" != "x$as_lineno_2" && |
| | 420 | test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || { |
| 158 | | # line-number line before each line; the second 'sed' does the real |
| 159 | | # work. The second script uses 'N' to pair each line-number line |
| 160 | | # with the numbered line, and appends trailing '-' during |
| 161 | | # substitution so that $LINENO is not a special case at line end. |
| | 424 | # line-number line after each line using $LINENO; the second 'sed' |
| | 425 | # does the real work. The second script uses 'N' to pair each |
| | 426 | # line-number line with the line containing $LINENO, and appends |
| | 427 | # trailing '-' during substitution so that $LINENO is not a special |
| | 428 | # case at line end. |
| 187 | | case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in |
| 188 | | *c*,-n*) ECHO_N= ECHO_C=' |
| 189 | | ' ECHO_T=' ' ;; |
| 190 | | *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;; |
| 191 | | *) ECHO_N= ECHO_C='\c' ECHO_T= ;; |
| | 460 | if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then |
| | 461 | as_dirname=dirname |
| | 462 | else |
| | 463 | as_dirname=false |
| | 464 | fi |
| | 465 | |
| | 466 | ECHO_C= ECHO_N= ECHO_T= |
| | 467 | case `echo -n x` in |
| | 468 | -n*) |
| | 469 | case `echo 'x\c'` in |
| | 470 | *c*) ECHO_T=' ';; # ECHO_T is single tab character. |
| | 471 | *) ECHO_C='\c';; |
| | 472 | esac;; |
| | 473 | *) |
| | 474 | ECHO_N='-n';; |
| 203 | | # We could just check for DJGPP; but this test a) works b) is more generic |
| 204 | | # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04). |
| 205 | | if test -f conf$$.exe; then |
| 206 | | # Don't use ln at all; we don't have any links |
| | 493 | as_ln_s='ln -s' |
| | 494 | # ... but there are two gotchas: |
| | 495 | # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail. |
| | 496 | # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable. |
| | 497 | # In both cases, we have to default to `cp -p'. |
| | 498 | ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe || |